
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity mux is
   generic (
      DATA_WIDTH : natural;
      ADDR_WIDTH : natural	
   );
   port ( 
      I1   : in std_logic_vector (DATA_WIDTH-1 downto 0);
      I2   : in std_logic_vector (DATA_WIDTH-1 downto 0);
      ADDR : in std_logic_vector (ADDR_WIDTH-1 downto 0);
      
      Y    : out std_logic_vector(DATA_WIDTH-1 downto 0) 
   );
end mux;

architecture behavioral of mux is

begin

	Y <= I1 when (ADDR = "0001") else
	     I2 when (ADDR = "0010") else
	     (others => '0');

end behavioral;

